Bug 97877 - [Forms] Multiple fields week input UI
Summary: [Forms] Multiple fields week input UI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: yosin
URL:
Keywords:
Depends on: 97992 98104 100128 102045
Blocks: 29359 98006
  Show dependency treegraph
 
Reported: 2012-09-28 02:46 PDT by yosin
Modified: 2012-11-12 22:31 PST (History)
6 users (show)

See Also:


Attachments
Patch 1 (11.02 KB, patch)
2012-10-01 02:30 PDT, yosin
no flags Details | Formatted Diff | Diff
Patch 2 (10.92 KB, patch)
2012-10-01 02:45 PDT, yosin
no flags Details | Formatted Diff | Diff
Patch 3 (10.93 KB, patch)
2012-10-01 03:14 PDT, yosin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yosin 2012-09-28 02:46:09 PDT
Chromium port wants to have multiple fields week input UI like multiple fields time input UI.
Comment 1 yosin 2012-10-01 02:30:52 PDT
Created attachment 166432 [details]
Patch 1
Comment 2 yosin 2012-10-01 02:31:28 PDT
Comment on attachment 166432 [details]
Patch 1

Could you review this patch?
Thanks in advance.
Comment 3 Kent Tamura 2012-10-01 02:41:02 PDT
Comment on attachment 166432 [details]
Patch 1

View in context: https://bugs.webkit.org/attachment.cgi?id=166432&action=review

> Source/WebCore/html/WeekInputType.cpp:45
> +#include "Localizer.h"

Is this needed?
Comment 4 yosin 2012-10-01 02:45:36 PDT
Created attachment 166434 [details]
Patch 2
Comment 5 yosin 2012-10-01 02:46:28 PDT
Comment on attachment 166434 [details]
Patch 2

Could you review this patch?
Thanks in advance.

= Changes since the last review =
* Remove unused include file Localizer.h from WeekInputType.cpp
Comment 6 Kent Tamura 2012-10-01 03:00:23 PDT
Comment on attachment 166434 [details]
Patch 2

View in context: https://bugs.webkit.org/attachment.cgi?id=166434&action=review

ok except ChangeLog

> Source/WebCore/ChangeLog:19
> +          - fast/forms/month/month-stepup-stepdown-from-renderer.html

fast/forms/week/week-...
Comment 7 yosin 2012-10-01 03:14:13 PDT
Created attachment 166439 [details]
Patch 3
Comment 8 yosin 2012-10-01 03:23:04 PDT
Comment on attachment 166439 [details]
Patch 3

Clearing flags on attachment: 166439

Committed r130024: <http://trac.webkit.org/changeset/130024>
Comment 9 yosin 2012-10-01 03:23:10 PDT
All reviewed patches have been landed.  Closing bug.